Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class ComponentSet

    java.lang.Object
      |
      +--oracle.apps.cz.cio.RuntimeNode
            |
            +--oracle.apps.cz.cio.ComponentSet

All Implemented Interfaces:
  ComponentNode, IIntegerMinMax, IRuntimeNode

public final class ComponentSet
extends RuntimeNode
implements ComponentNode, IIntegerMinMax

Represents a set of configurable components.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.RuntimeNode
`ACCUMULATOR_SUFFIX_TYPE, ATTR_KEY, CONNECTOR_PREFIX_TYPE, DEFAULT_IV_SUFFIX_TYPE, DEFAULT_SUFFIX_ID, DEFAULT_SUFFIX_TYPE, LOAD_CONDITIONS_GROUP_PREFIX_TYPE, NET_PREFIX_TYPE, NODE_PREFIX_TYPE, TRACKABLE_ROOT_PREFIX_TYPE`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`oracle.apps.cz.cio.Component` | `add()`
`void` | `addCompSetEventListener(oracle.apps.cz.cio.ICompSetEventListener listener)` Deprecated. Use Configurator Extensions Add a listener that is notified when a component is added or deleted.
`void` | `addConfigEventListener(oracle.apps.cz.cio.ICompSetEventListener listener)` Deprecated. Use Configurator Extensions Add a listener that is notified when a component is added or deleted.
`void` | `addConfigurationEventListener(oracle.apps.cz.cio.IConfigurationEventListener listener)` Deprecated. Use Configurator Extensions Add a listener that is notified when an event occurs on a component
`void` | `addLoadConditionEventListener(oracle.apps.cz.cio.LoadConditionsGroup listener)` Add a listener that is notified when the instance is added or deleted.
`void` | `delete(oracle.apps.cz.cio.Component component)`
`oracle.apps.cz.cio.Component` | `getChildByInstanceNumber(int instNum)`
`oracle.apps.cz.cio.Component` | `getChildByInstanceNumber(int instNum, int type)`
`oracle.apps.cz.cio.IRuntimeNode` | `getChildByName(java.lang.String name)` Deprecated. see getChildByInstanceNumber(int instNum)
`com.sun.java.util.collections.List` | `getChildComponentNodes()` Returns only the ComponentNode children.
`int` | `getComponentInstanceType()` Returns the type of instance that will be created by this component set when the add function is executed
`int` | `getCount()`
`int` | `getMax()` Get the maximal allowable value for this object.
`int` | `getMin()` Get the minimal allowable value for this object.
`java.lang.String` | `getName()` Gets the name of the node.
`int` | `getReferringOrDatabaseID()` Returns the database ID of the referring node if it is a reference or the database ID of the RuntimeNode itself.
`int` | `getReferringOrPersistentID()` Returns the persistent ID of the referring node if it is a reference or the persistent ID of the RuntimeNode itself.
`int` | `getType()` Gets the type of this node.
`boolean` | `hasMax()` Returns true if there is a maximum limit.
`boolean` | `hasMin()` Returns true if there is a minimum limit.
`boolean` | `isConditionSatisfied()` Returns true if the condition is satisfied i.e. it has children
`void` | `removeCompSetEventListener(oracle.apps.cz.cio.ICompSetEventListener listener)` Deprecated. Use Configurator Extensions Remove a listener that is notified when a component is added or deleted.
`void` | `removeConfigEventListener(oracle.apps.cz.cio.ICompSetEventListener listener)` Deprecated. Use Configurator Extensions Remove a listener that is notified when a component is added or deleted.
`void` | `removeConfigurationEventListener(oracle.apps.cz.cio.IConfigurationEventListener listener)` Deprecated. Use Configurator Extensions Remove a listener that is notified when an event occurs on a component
`void` | `removeLoadConditionEventListener(oracle.apps.cz.cio.LoadConditionsGroup listener)` Remove a listener that is notified when the instance is added ro deleted.

Methods inherited from class oracle.apps.cz.cio.RuntimeNode
`associateAttribute, evaluateUiExpression, getAttributeByName, getAttributes, getAvailableEventCommands, getBaselineValue, getCaption, getChildByID, getChildByID, getChildByName, getChildByPersistentID, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getCXRules, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getFuncCompByID, getFuncCompByName, getFunctionalCompanions, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getParent, getPersistentID, getProperties, getPropertyById, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, hasAttribute, hasChildren, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hashCode, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDefaultAffected, isDeleteChanged, isDeleted, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, lookupNodeID, lookupNodeID, registerLoadCondition, setLineType, setLocationID, setLocationTypeCode, synchronizeIBValues, typeToString`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getChildComponentNodes

    public com.sun.java.util.collections.List getChildComponentNodes()

  Description copied from interface: `ComponentNode`
  Returns only the ComponentNode children.
  Specified by:
    `getChildComponentNodes` in interface `ComponentNode`

### getReferringOrDatabaseID

    public int getReferringOrDatabaseID()

  Returns the database ID of the referring node if it is a reference or the database ID of the RuntimeNode itself.
  Specified by:
    `getReferringOrDatabaseID` in interface `ComponentNode`
  Overrides:
    `getReferringOrDatabaseID` in class `RuntimeNode`

### getReferringOrPersistentID

    public int getReferringOrPersistentID()

  Returns the persistent ID of the referring node if it is a reference or the persistent ID of the RuntimeNode itself.
  Specified by:
    `getReferringOrPersistentID` in interface `ComponentNode`
  Overrides:
    `getReferringOrPersistentID` in class `RuntimeNode`

### getType

    public int getType()

  Description copied from interface: `IRuntimeNode`
  Gets the type of this node.
  Specified by:
    `getType` in interface `IRuntimeNode`
  Specified by:
    `getType` in class `RuntimeNode`
  Returns:
    the type of this node.

### getComponentInstanceType

    public int getComponentInstanceType()

  Returns the type of instance that will be created by this component set when the add function is executed

### getChildByInstanceNumber

    public oracle.apps.cz.cio.Component getChildByInstanceNumber(int instNum)
                                                          throws NoSuchChildException

    `NoSuchChildException`

### getChildByInstanceNumber

    public oracle.apps.cz.cio.Component getChildByInstanceNumber(int instNum,
                                                                 int type)
                                                          throws NoSuchChildException

    `NoSuchChildException`

### getChildByName

    public oracle.apps.cz.cio.IRuntimeNode getChildByName(java.lang.String name)
                                                   throws NoSuchChildException

  Deprecated. see getChildByInstanceNumber(int instNum)
  Returns the child of this node with a given name.
  Specified by:
    `getChildByName` in interface `IRuntimeNode`
  Overrides:
    `getChildByName` in class `RuntimeNode`
  Returns:
    a child of this node.
  Throws:
    `NoSuchChildException` - if there is no child with such name.

### add

    public oracle.apps.cz.cio.Component add()
                                     throws LogicalException

    `LogicalException`

### delete

    public void delete(oracle.apps.cz.cio.Component component)
                throws LogicalException

    `LogicalException`

### hasMin

    public boolean hasMin()

  Description copied from interface: `IIntegerMinMax`
  Returns true if there is a minimum limit.
  Specified by:
    `hasMin` in interface `IIntegerMinMax`

### getMin

    public int getMin()

  Description copied from interface: `IIntegerMinMax`
  Get the minimal allowable value for this object.
  Specified by:
    `getMin` in interface `IIntegerMinMax`

### hasMax

    public boolean hasMax()

  Description copied from interface: `IIntegerMinMax`
  Returns true if there is a maximum limit.
  Specified by:
    `hasMax` in interface `IIntegerMinMax`

### getMax

    public int getMax()

  Description copied from interface: `IIntegerMinMax`
  Get the maximal allowable value for this object.
  Specified by:
    `getMax` in interface `IIntegerMinMax`

### getCount

    public int getCount()

### addLoadConditionEventListener

    public void addLoadConditionEventListener(oracle.apps.cz.cio.LoadConditionsGroup listener)
                                       throws LogicalException

  Add a listener that is notified when the instance is added or deleted. This method is to be called only by the LoadConditionsGroups
    `LogicalException`

### removeLoadConditionEventListener

    public void removeLoadConditionEventListener(oracle.apps.cz.cio.LoadConditionsGroup listener)

  Remove a listener that is notified when the instance is added ro deleted. This is the protected method, to be called by the LoadConditionsGroups

### isConditionSatisfied

    public boolean isConditionSatisfied()

  Returns true if the condition is satisfied i.e. it has children

### getName

    public java.lang.String getName()

  Description copied from interface: `IRuntimeNode`
  Gets the name of the node.
  Specified by:
    `getName` in interface `IRuntimeNode`
  Overrides:
    `getName` in class `RuntimeNode`
  Returns:
    the name of the node.

### addConfigEventListener

    public void addConfigEventListener(oracle.apps.cz.cio.ICompSetEventListener listener)

  Deprecated. Use Configurator Extensions Add a listener that is notified when a component is added or deleted.

### removeConfigEventListener

    public void removeConfigEventListener(oracle.apps.cz.cio.ICompSetEventListener listener)

  Deprecated. Use Configurator Extensions Remove a listener that is notified when a component is added or deleted.

### addCompSetEventListener

    public void addCompSetEventListener(oracle.apps.cz.cio.ICompSetEventListener listener)

  Deprecated. Use Configurator Extensions Add a listener that is notified when a component is added or deleted.

### removeCompSetEventListener

    public void removeCompSetEventListener(oracle.apps.cz.cio.ICompSetEventListener listener)

  Deprecated. Use Configurator Extensions Remove a listener that is notified when a component is added or deleted.

### addConfigurationEventListener

    public void addConfigurationEventListener(oracle.apps.cz.cio.IConfigurationEventListener listener)

  Deprecated. Use Configurator Extensions Add a listener that is notified when an event occurs on a component

### removeConfigurationEventListener

    public void removeConfigurationEventListener(oracle.apps.cz.cio.IConfigurationEventListener listener)

  Deprecated. Use Configurator Extensions Remove a listener that is notified when an event occurs on a component

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.